/*
 * structure of Casio DA save file
 */
enum	{clockMode,watchMode,countMode,alarmMode};

#define	nModes		(alarmMode+1)
#define	nTimers		10
#define	nSize		12

struct	casio	{
	short		version;		/* version # */
	short		curMode;		/* current display mode */
	Point		windPos;		/* window position */
	short		curTimer[nModes];	/* current timers */
	short		countRpt;		/* counter repeat flags */
	short		watchRun;		/* watches running */
	short		countRun;		/* counters running */
	short		alarmSet;		/* alarms set */
	unsigned long	clockTime;		/* time of day */
	unsigned long	countInit[nTimers];	/* counter resets */
	unsigned long	watchTime[nTimers];	/* watch times */
	unsigned long	countTime[nTimers];	/* counter times */
	unsigned long	alarmTime[nTimers];	/* alarm times */
	char		timeZone[nTimers];	/* time zone adjusts */
	char		timerName[nModes][nTimers][nSize];/* timer names */
	short		lastWord;		/* the last word (same as version) */
};

#define	cycleFlag	timeZone[0]	/* 12 (0) or 24 (1) hour display */

